using System.Diagnostics;
using Microsoft.AspNetCore.Mvc;
using eSPJ.Models;

namespace eSPJ.Controllers.SpjDriverUpstController;

 [Route("upst")]
public class HomeController : Controller
{
    private readonly ILogger<HomeController> _logger;

    public HomeController(ILogger<HomeController> logger)
    {
        _logger = logger;
    }

    [HttpGet("")]
    public IActionResult Index()
    {
        return View("~/Views/Admin/Transport/SpjDriverUpst/Home/Index.cshtml");
    }

    [HttpGet("mulai")]
    public IActionResult Mulai()
    {
        return Redirect("https://pesapakawan.dinaslhdki.id");
    }

    [HttpGet("kosong")]
    public IActionResult Kosong()
    {
        return View("~/Views/Admin/Transport/SpjDriverUpst/Home/Kosong.cshtml");
    }
 
    [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
    public IActionResult Error()
    {
        return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
    }
}
